View Issue Details

IDProjectCategoryView StatusLast Update
0004996Kali Linux[All Projects] Kali Package Bugpublic2018-10-30 14:19
ReporterrhertzogAssigned Torhertzog 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2019.1 
Summary0004996: Get rid of python-restkit in Kali
Descriptionpython-restkit has been dropped from debian testing due to a security issue that has been left unfixed for years. In Kali we kept it only for faraday (and associated python-couchdbkit) but we should really get rid of it as well.

I asked faraday developers to drop this dependency here:
https://github.com/infobyte/faraday/issues/279

cc @faraday-dev

Activities

faraday-dev

faraday-dev

2018-10-24 15:58

reporter   ~0009834

Hi,
We just released v3.2 and we removed restkit
sbrun

sbrun

2018-10-30 14:19

manager   ~0009877

faraday version 3.2-0kali1 is now in kali-rolling. python-restkit has been removed

Issue History

Date Modified Username Field Change
2018-09-17 14:01 rhertzog New Issue
2018-09-17 14:01 rhertzog Assigned To => rhertzog
2018-09-17 14:01 rhertzog Status new => assigned
2018-10-24 15:58 faraday-dev Note Added: 0009834
2018-10-30 14:19 sbrun Status assigned => resolved
2018-10-30 14:19 sbrun Resolution open => fixed
2018-10-30 14:19 sbrun Fixed in Version => 2019.1
2018-10-30 14:19 sbrun Note Added: 0009877